summaryrefslogtreecommitdiffstats
path: root/network/filezilla
diff options
context:
space:
mode:
author Grigorios Bouzakis2010-05-12 17:43:17 +0200
committer David Somero2010-05-12 17:43:17 +0200
commit9b90205b4a47fc9aac0274749f844ad663588825 (patch)
treee48e9d9b14d464baa338dbc82c9b2d97057c7ef8 /network/filezilla
parent461aac20aa093b44b416f259747443869eba2867 (diff)
downloadslackbuilds-9b90205b4a47fc9aac0274749f844ad663588825.tar.gz
network/filezilla: Updated for version 3.2.3.1
Diffstat (limited to 'network/filezilla')
-rw-r--r--network/filezilla/README23
-rw-r--r--network/filezilla/doinst.sh8
-rw-r--r--network/filezilla/filezilla.SlackBuild16
-rw-r--r--network/filezilla/filezilla.info8
4 files changed, 26 insertions, 29 deletions
diff --git a/network/filezilla/README b/network/filezilla/README
index be5160d405..760fa6fd83 100644
--- a/network/filezilla/README
+++ b/network/filezilla/README
@@ -1,22 +1,5 @@
-FileZilla Client is a fast and reliable cross-platform FTP, FTPS and SFTP
-client with lots of useful features and an intuitive graphical user interface.
-
-Among others, the features of FileZilla include the following:
-
- * Easy to use
- * Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer
- Protocol (SFTP)
- * Cross-platform. Runs on Windows, Linux, *BSD, Mac OS X and more
- * IPv6 support
- * Available in many languages
- * Supports resume and transfer of large files >4GB
- * Powerful Site Manager and transfer queue
- * Drag & drop support
- * Configurable Speed limits
- * Filename filters
- * Network configuration wizard
- * Remote file editing
- * Keep-alive
- * HTTP/1.1, SOCKS5 and FTP-Proxy support
+FileZilla Client is a fast and reliable cross-platform FTP, FTPS and
+SFTP client with lots of useful features and an intuitive graphical user
+interface.
FileZilla requires wxGTK or wxPython, which are available at SlackBuilds.org.
diff --git a/network/filezilla/doinst.sh b/network/filezilla/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/network/filezilla/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/network/filezilla/filezilla.SlackBuild b/network/filezilla/filezilla.SlackBuild
index ee09cc8281..53366a01bf 100644
--- a/network/filezilla/filezilla.SlackBuild
+++ b/network/filezilla/filezilla.SlackBuild
@@ -5,10 +5,11 @@
# Written by Grigorios Bouzakis (grbzks@gmail.com)
PRGNAM=filezilla
-VERSION=${VERSION:-3.1.5}
+VERSION=${VERSION:-3.2.3.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -46,17 +47,21 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --disable-manualupdatecheck
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-manualupdatecheck \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
@@ -68,6 +73,7 @@ rmdir $PKG/usr/share/filezilla/docs
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/filezilla/filezilla.info b/network/filezilla/filezilla.info
index 6f57d0c300..a4d0948077 100644
--- a/network/filezilla/filezilla.info
+++ b/network/filezilla/filezilla.info
@@ -1,8 +1,8 @@
PRGNAM="filezilla"
-VERSION="3.1.5"
+VERSION="3.2.3.1"
HOMEPAGE="http://filezilla-project.org/"
-DOWNLOAD="http://downloads.sourceforge.net/filezilla/FileZilla_3.1.5_src.tar.bz2"
-MD5SUM="52c1536e77e0fc7b818e33a1933fe7f4"
+DOWNLOAD="http://downloads.sourceforge.net/filezilla/FileZilla_3.2.3.1_src.tar.bz2"
+MD5SUM="c9d4b00e10e1a5e0c3928ac6e1fd5873"
MAINTAINER="Grigorios Bouzakis"
EMAIL="grbzks@gmail.com"
-APPROVED="Erik Hanson"
+APPROVED="dsomero"